unit ULift;

interface
uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, IdBaseComponent, IdComponent, IdTCPConnection,
  IdTCPClient;

type
  TLift =  class   // trida na ovladani vyahu
  private
    FClient: TidTCPClient;
  public
    constructor create(Client: TIdTCPClient);
    destructor free;

    procedure Connect;
    procedure Disconnect;
    procedure SendCmd(Cmd: String; Parameter: Integer); overload;
    procedure SendCmd(Cmd: String; Parameter: String); overload;

  end;

var
  Lift: TLift;

implementation

{ Lift }

procedure TLift.Connect;
begin
  FCLient.Connect;
end;

constructor TLift.create(Client: TIdTCPClient);
begin
  FClient := Client;
end;

procedure TLift.Disconnect;
begin
  FClient.DisconnectSocket;
end;

destructor TLift.free;
begin

end;

procedure TLift.SendCmd(Cmd: String; Parameter: Integer);
begin
  FClient.SendCmd(Cmd + ' ' + IntToStr(Parameter)  );
end;

procedure TLift.SendCmd(Cmd, Parameter: String);
begin
  FClient.SendCmd(Cmd + ' ' + Parameter);
end;

end.
